product_id 对应的 region 是正确的,否则接口将不会返回数据。{
"code": 200,
"data": {
"productInfo": {}, // 商品详细信息
"frequentlyBoughtTogether": [], // 经常一起购买的商品
"similarProductsInCategory": [], // 同类别相似商品
"exploreMoreFromShop": [], // 店铺更多商品
"brandInCategoryRecommendedProducts": [], // 品牌分类推荐商品
"customersAlsoBought": [], // 顾客还购买了
"moreInThisColorStyle": [], // 更多颜色款式
"relatedVideos": [], // 相关视频
"shopPerformance": {}, // 店铺表现
"categoryInfo": {}, // 分类信息
"searchRecommendWords": [], // 搜索推荐词
"randomSearchWord": "", // 随机搜索词
"shopInfo": {}, // 店铺信息
"shopHotReviews": [] // 店铺热门评论
}
}region matches the actual region of the product_id, otherwise the API will not return any data.{
"code": 200,
"data": {
"productInfo": {}, // Product details
"frequentlyBoughtTogether": [], // Frequently bought together
"similarProductsInCategory": [], // Similar products in category
"exploreMoreFromShop": [], // More from shop
"brandInCategoryRecommendedProducts": [], // Brand category recommendations
"customersAlsoBought": [], // Customers also bought
"moreInThisColorStyle": [], // More colors/styles
"relatedVideos": [], // Related videos
"shopPerformance": {}, // Shop performance
"categoryInfo": {}, // Category info
"searchRecommendWords": [], // Search recommendation words
"randomSearchWord": "", // Random search word
"shopInfo": {}, // Shop information
"shopHotReviews": [] // Shop hot reviews
}
}Authorization: Bearer ********************curl --location 'https://api.tikomni.com/api/u1/v1/tiktok/shop/web/fetch_product_detail_v3?product_id=1732108663255959373®ion=SG' \
--header 'Authorization: Bearer <token>'{}